<template>
  <component
    :is="result.item.constructor.name == 'Task' ? TasksItem : false"
    v-bind="$attrs"
    v-for="result of results"
    :key="result.item.id"
    class="mt-1"
    @click="$emit('click', result)"
    :task="result.item"
    workspace
  >
  </component>
</template>

<script lang="ts">
import TasksItem from "@/components/Tasks/Item.vue";
import { computed } from "vue";
import { searchAll } from "@/use/search";

export default {
  components: { TasksItem },
  emits: ["click"],
  props: {
    value: {
      type: Array,
      required: true
    }
  },
  setup(props) {
    return {
      results: computed(() => props.value as ReturnType<typeof searchAll>),
      TasksItem
    };
  }
};
</script>
